> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Update an Individual

PUT https://api.virtuoussoftware.com/api/ContactIndividual/{contactIndividualId}
Content-Type: application/json

Similar to other update methods in the API, excluding a property will remove it's value from the object. 
If you're only updating a single property, the entire model is still required.

Reference: https://virtuous.ferndocs.com/reference/crm-plus/contacts-and-individuals/update-an-individual

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.virtuoussoftware.com` (https://api.virtuoussoftware.com, default)
- `{{baseUrl}}api` ({{baseUrl}}api)

## Request

### Path parameters

- `contactIndividualId` (string, required)

### Body (application/json)

This endpoint expects an object.

- `firstName` (string, optional)
- `lastName` (string, optional)
- `prefix` (string, optional)
- `middleName` (string, optional)
- `suffix` (string, optional)
- `gender` (string, optional)
- `setAsPrimary` (string, optional)
- `setAsSecondary` (string, optional)
- `birthMonth` (string, optional)
- `birthDay` (string, optional)
- `birthYear` (string, optional)
- `approximateAge` (string, optional)
- `isDeceased` (string, optional)
- `deceasedDate` (string, optional)
- `passion` (string, optional)
- `avatarUrl` (string, optional)
- `customFields` (list of ApiContactIndividualContactIndividualIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems, optional)
- `customCollections` (list of ApiContactIndividualContactIndividualIdPutRequestBodyContentApplicationJsonSchemaCustomCollectionsItems, optional)

## Response

### 200

OK

- `id` (string, optional)
- `contactId` (string, optional)
- `prefix` (string, optional)
- `firstName` (string, optional)
- `middleName` (string, optional)
- `lastName` (string, optional)
- `suffix` (string, optional)
- `gender` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)
- `isSecondary` (string, optional)
- `canBeSecondary` (string, optional)
- `birthMonth` (string, optional)
- `birthDay` (string, optional)
- `birthYear` (string, optional)
- `birthDate` (string, optional)
- `approximateAge` (string, optional)
- `isDeceased` (string, optional)
- `deceasedDate` (string, optional)
- `passion` (string, optional)
- `avatarUrl` (string, optional)
- `contactMethods` (list of ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaContactMethodsItems, optional)
- `createDateTimeUtc` (string, optional)
- `createdByUser` (string, optional)
- `modifiedDateTimeUtc` (string, optional)
- `modifiedByUser` (string, optional)
- `customFields` (list of ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems, optional)
- `customCollections` (list of ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaCustomCollectionsItems, optional)

## Errors

### 400 Bad Request Error

BadRequest

- `any`

## Types

### ApiContactIndividualContactIndividualIdPutRequestBodyContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiContactIndividualContactIndividualIdPutRequestBodyContentApplicationJsonSchemaCustomCollectionsItems

- `name` (string, optional)
- `fields` (list of ApiContactIndividualContactIndividualIdPutRequestBodyContentApplicationJsonSchemaCustomCollectionsItemsFieldsItems, optional)

### ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaContactMethodsItems

- `id` (string, optional)
- `type` (string, optional)
- `value` (string, optional)
- `isOptedIn` (string, optional)
- `isPrimary` (string, optional)
- `canBePrimary` (string, optional)

### ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaCustomFieldsItems

- `name` (string, optional)
- `value` (string, optional)
- `displayName` (string, optional)

### ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaCustomCollectionsItems

- `customCollectionId` (string, optional)
- `customCollectionName` (string, optional)
- `collectionInstanceId` (string, optional)
- `fields` (list of ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaCustomCollectionsItemsFieldsItems, optional)

### ApiContactIndividualContactIndividualIdPutRequestBodyContentApplicationJsonSchemaCustomCollectionsItemsFieldsItems

- `name` (string, optional)
- `value` (string, optional)

### ApiContactIndividualContactIndividualIdPutResponsesContentApplicationJsonSchemaCustomCollectionsItemsFieldsItems

- `name` (string, optional)
- `value` (string, optional)

## Examples

**Request**

```json
{
  "firstName": "<string>",
  "lastName": "<string>",
  "prefix": "<string>",
  "middleName": "<string>",
  "suffix": "<string>",
  "gender": "<string>",
  "setAsPrimary": "<boolean>",
  "setAsSecondary": "<boolean>",
  "birthMonth": "<integer>",
  "birthDay": "<integer>",
  "birthYear": "<integer>",
  "approximateAge": "<integer>",
  "isDeceased": "<boolean>",
  "deceasedDate": "<dateTime>",
  "passion": "<string>",
  "avatarUrl": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "name": "<string>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "name": "<string>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
```

**Response**

```json
{
  "id": "<integer>",
  "contactId": "<integer>",
  "prefix": "<string>",
  "firstName": "<string>",
  "middleName": "<string>",
  "lastName": "<string>",
  "suffix": "<string>",
  "gender": "<string>",
  "isPrimary": "<boolean>",
  "canBePrimary": "<boolean>",
  "isSecondary": "<boolean>",
  "canBeSecondary": "<boolean>",
  "birthMonth": "<integer>",
  "birthDay": "<integer>",
  "birthYear": "<integer>",
  "birthDate": "<string>",
  "approximateAge": "<integer>",
  "isDeceased": "<boolean>",
  "deceasedDate": "<dateTime>",
  "passion": "<string>",
  "avatarUrl": "<string>",
  "contactMethods": [
    {
      "id": "<integer>",
      "type": "<string>",
      "value": "<string>",
      "isOptedIn": "<boolean>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>"
    },
    {
      "id": "<integer>",
      "type": "<string>",
      "value": "<string>",
      "isOptedIn": "<boolean>",
      "isPrimary": "<boolean>",
      "canBePrimary": "<boolean>"
    }
  ],
  "createDateTimeUtc": "<dateTime>",
  "createdByUser": "<string>",
  "modifiedDateTimeUtc": "<dateTime>",
  "modifiedByUser": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "customCollectionId": "<integer>",
      "customCollectionName": "<string>",
      "collectionInstanceId": "<integer>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}
```

**SDK Code**

```python Contacts and Individuals_updateAnIndividual_example
import requests

url = "https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId"

payload = {
    "firstName": "<string>",
    "lastName": "<string>",
    "prefix": "<string>",
    "middleName": "<string>",
    "suffix": "<string>",
    "gender": "<string>",
    "setAsPrimary": "<boolean>",
    "setAsSecondary": "<boolean>",
    "birthMonth": "<integer>",
    "birthDay": "<integer>",
    "birthYear": "<integer>",
    "approximateAge": "<integer>",
    "isDeceased": "<boolean>",
    "deceasedDate": "<dateTime>",
    "passion": "<string>",
    "avatarUrl": "<string>",
    "customFields": [
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        },
        {
            "name": "<string>",
            "value": "<string>",
            "displayName": "<string>"
        }
    ],
    "customCollections": [
        {
            "name": "<string>",
            "fields": [
                {
                    "name": "<string>",
                    "value": "<string>"
                },
                {
                    "name": "<string>",
                    "value": "<string>"
                }
            ]
        },
        {
            "name": "<string>",
            "fields": [
                {
                    "name": "<string>",
                    "value": "<string>"
                },
                {
                    "name": "<string>",
                    "value": "<string>"
                }
            ]
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript Contacts and Individuals_updateAnIndividual_example
const url = 'https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"firstName":"<string>","lastName":"<string>","prefix":"<string>","middleName":"<string>","suffix":"<string>","gender":"<string>","setAsPrimary":"<boolean>","setAsSecondary":"<boolean>","birthMonth":"<integer>","birthDay":"<integer>","birthYear":"<integer>","approximateAge":"<integer>","isDeceased":"<boolean>","deceasedDate":"<dateTime>","passion":"<string>","avatarUrl":"<string>","customFields":[{"name":"<string>","value":"<string>","displayName":"<string>"},{"name":"<string>","value":"<string>","displayName":"<string>"}],"customCollections":[{"name":"<string>","fields":[{"name":"<string>","value":"<string>"},{"name":"<string>","value":"<string>"}]},{"name":"<string>","fields":[{"name":"<string>","value":"<string>"},{"name":"<string>","value":"<string>"}]}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Contacts and Individuals_updateAnIndividual_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId"

	payload := strings.NewReader("{\n  \"firstName\": \"<string>\",\n  \"lastName\": \"<string>\",\n  \"prefix\": \"<string>\",\n  \"middleName\": \"<string>\",\n  \"suffix\": \"<string>\",\n  \"gender\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"setAsSecondary\": \"<boolean>\",\n  \"birthMonth\": \"<integer>\",\n  \"birthDay\": \"<integer>\",\n  \"birthYear\": \"<integer>\",\n  \"approximateAge\": \"<integer>\",\n  \"isDeceased\": \"<boolean>\",\n  \"deceasedDate\": \"<dateTime>\",\n  \"passion\": \"<string>\",\n  \"avatarUrl\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ],\n  \"customCollections\": [\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    },\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    }\n  ]\n}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Contacts and Individuals_updateAnIndividual_example
require 'uri'
require 'net/http'

url = URI("https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"firstName\": \"<string>\",\n  \"lastName\": \"<string>\",\n  \"prefix\": \"<string>\",\n  \"middleName\": \"<string>\",\n  \"suffix\": \"<string>\",\n  \"gender\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"setAsSecondary\": \"<boolean>\",\n  \"birthMonth\": \"<integer>\",\n  \"birthDay\": \"<integer>\",\n  \"birthYear\": \"<integer>\",\n  \"approximateAge\": \"<integer>\",\n  \"isDeceased\": \"<boolean>\",\n  \"deceasedDate\": \"<dateTime>\",\n  \"passion\": \"<string>\",\n  \"avatarUrl\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ],\n  \"customCollections\": [\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    },\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java Contacts and Individuals_updateAnIndividual_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"firstName\": \"<string>\",\n  \"lastName\": \"<string>\",\n  \"prefix\": \"<string>\",\n  \"middleName\": \"<string>\",\n  \"suffix\": \"<string>\",\n  \"gender\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"setAsSecondary\": \"<boolean>\",\n  \"birthMonth\": \"<integer>\",\n  \"birthDay\": \"<integer>\",\n  \"birthYear\": \"<integer>\",\n  \"approximateAge\": \"<integer>\",\n  \"isDeceased\": \"<boolean>\",\n  \"deceasedDate\": \"<dateTime>\",\n  \"passion\": \"<string>\",\n  \"avatarUrl\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ],\n  \"customCollections\": [\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    },\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    }\n  ]\n}")
  .asString();
```

```php Contacts and Individuals_updateAnIndividual_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId', [
  'body' => '{
  "firstName": "<string>",
  "lastName": "<string>",
  "prefix": "<string>",
  "middleName": "<string>",
  "suffix": "<string>",
  "gender": "<string>",
  "setAsPrimary": "<boolean>",
  "setAsSecondary": "<boolean>",
  "birthMonth": "<integer>",
  "birthDay": "<integer>",
  "birthYear": "<integer>",
  "approximateAge": "<integer>",
  "isDeceased": "<boolean>",
  "deceasedDate": "<dateTime>",
  "passion": "<string>",
  "avatarUrl": "<string>",
  "customFields": [
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    },
    {
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    }
  ],
  "customCollections": [
    {
      "name": "<string>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    },
    {
      "name": "<string>",
      "fields": [
        {
          "name": "<string>",
          "value": "<string>"
        },
        {
          "name": "<string>",
          "value": "<string>"
        }
      ]
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp Contacts and Individuals_updateAnIndividual_example
using RestSharp;

var client = new RestClient("https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"firstName\": \"<string>\",\n  \"lastName\": \"<string>\",\n  \"prefix\": \"<string>\",\n  \"middleName\": \"<string>\",\n  \"suffix\": \"<string>\",\n  \"gender\": \"<string>\",\n  \"setAsPrimary\": \"<boolean>\",\n  \"setAsSecondary\": \"<boolean>\",\n  \"birthMonth\": \"<integer>\",\n  \"birthDay\": \"<integer>\",\n  \"birthYear\": \"<integer>\",\n  \"approximateAge\": \"<integer>\",\n  \"isDeceased\": \"<boolean>\",\n  \"deceasedDate\": \"<dateTime>\",\n  \"passion\": \"<string>\",\n  \"avatarUrl\": \"<string>\",\n  \"customFields\": [\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    },\n    {\n      \"name\": \"<string>\",\n      \"value\": \"<string>\",\n      \"displayName\": \"<string>\"\n    }\n  ],\n  \"customCollections\": [\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    },\n    {\n      \"name\": \"<string>\",\n      \"fields\": [\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        },\n        {\n          \"name\": \"<string>\",\n          \"value\": \"<string>\"\n        }\n      ]\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift Contacts and Individuals_updateAnIndividual_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "firstName": "<string>",
  "lastName": "<string>",
  "prefix": "<string>",
  "middleName": "<string>",
  "suffix": "<string>",
  "gender": "<string>",
  "setAsPrimary": "<boolean>",
  "setAsSecondary": "<boolean>",
  "birthMonth": "<integer>",
  "birthDay": "<integer>",
  "birthYear": "<integer>",
  "approximateAge": "<integer>",
  "isDeceased": "<boolean>",
  "deceasedDate": "<dateTime>",
  "passion": "<string>",
  "avatarUrl": "<string>",
  "customFields": [
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ],
    [
      "name": "<string>",
      "value": "<string>",
      "displayName": "<string>"
    ]
  ],
  "customCollections": [
    [
      "name": "<string>",
      "fields": [
        [
          "name": "<string>",
          "value": "<string>"
        ],
        [
          "name": "<string>",
          "value": "<string>"
        ]
      ]
    ],
    [
      "name": "<string>",
      "fields": [
        [
          "name": "<string>",
          "value": "<string>"
        ],
        [
          "name": "<string>",
          "value": "<string>"
        ]
      ]
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.virtuoussoftware.com/api/ContactIndividual/contactIndividualId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```